/***************************************************************************
 *     Copyright (c) 1999-2005, Broadcom Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $brcm_Workfile: bchp_ebi.h $
 * $brcm_Revision: Hydra_Software_Devel/Refsw_Devel_7038_B0/1 $
 * $brcm_Date: 2/19/04 5:54p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Thu Feb 19 16:44:10 2004
 *                 MD5 Checksum         89bafa52673b381caee97f29d208c5d6
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.006
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/7038/rdb/bchp_ebi.h $
 * 
 * Hydra_Software_Devel/Refsw_Devel_7038_B0/1   2/19/04 5:54p jasonh
 * PR 9813: Adding header files for 7038 B0.
 *
 ***************************************************************************/

#ifndef BCHP_EBI_H__
#define BCHP_EBI_H__

/***************************************************************************
 *EBI - EBI Registers
 ***************************************************************************/
#define BCHP_EBI_CS_BASE_0                       0x00000800 /* EBI CS Base 0 Register */
#define BCHP_EBI_CS_CONFIG_0                     0x00000804 /* EBI CS Config 0 Register */
#define BCHP_EBI_CS_BASE_1                       0x00000808 /* EBI CS Base 1 Register */
#define BCHP_EBI_CS_CONFIG_1                     0x0000080c /* EBI CS Config 1 Register */
#define BCHP_EBI_CS_BASE_2                       0x00000810 /* EBI CS Base 2 Register */
#define BCHP_EBI_CS_CONFIG_2                     0x00000814 /* EBI CS Config 2 Register */
#define BCHP_EBI_CS_BASE_3                       0x00000818 /* EBI CS Base 3 Register */
#define BCHP_EBI_CS_CONFIG_3                     0x0000081c /* EBI CS Config 3 Register */
#define BCHP_EBI_CS_BASE_4                       0x00000820 /* EBI CS Base 4 Register */
#define BCHP_EBI_CS_CONFIG_4                     0x00000824 /* EBI CS Config 4 Register */
#define BCHP_EBI_CS_BASE_5                       0x00000828 /* EBI CS Base 5 Register */
#define BCHP_EBI_CS_CONFIG_5                     0x0000082c /* EBI CS Config 5 Register */
#define BCHP_EBI_ECR                             0x00000900 /* EBI Configuration Register */
#define BCHP_EBI_BURST_CMD                       0x00000910 /* EBI Synchronous Intel StrataFlash Burst Command Register */
#define BCHP_EBI_BURST_CFG                       0x00000914 /* EBI Synchronous Intel StrataFlash Burst Configure Register */
#define BCHP_EBI_RX_POINTER_SRC                  0x00000a00 /* EBI RX DMA EBI Source Address  Register */
#define BCHP_EBI_RX_POINTER_DST                  0x00000a04 /* EBI RX DMA DRAM Destination Address  Register */
#define BCHP_EBI_RX_SIZE                         0x00000a08 /* EBI RX DMA Transfer Size Register */
#define BCHP_EBI_RX_CFG                          0x00000a0c /* EBI RX DMA Configuration Register */
#define BCHP_EBI_TX_POINTER_SRC                  0x00000a10 /* EBI TX DMA DRAM Source Address  Register */
#define BCHP_EBI_TX_POINTER_DST                  0x00000a14 /* EBI TX DMA EBI Destination Address  Register */
#define BCHP_EBI_TX_SIZE                         0x00000a18 /* EBI TX DMA Transfer Size Register */
#define BCHP_EBI_TX_CFG                          0x00000a1c /* EBI TX DMA Configuration Register */
#define BCHP_EBI_DMA_STATUS                      0x00000a20 /* EBI DMA Status Register */
#define BCHP_EBI_DMA_CTRL                        0x00000a24 /* EBI DMA Control Register */

/***************************************************************************
 *CS_BASE_0 - EBI CS Base 0 Register
 ***************************************************************************/
/* EBI :: CS_BASE_0 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_0_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_0_base_addr_SHIFT                         13

/* EBI :: CS_BASE_0 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_0_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_0_reserved0_SHIFT                         4

/* EBI :: CS_BASE_0 :: size [03:00] */
#define BCHP_EBI_CS_BASE_0_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_0_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_0_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_0_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_0_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_0_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_0_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_0_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_0_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_0_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_0_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_0_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_0_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_0_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_0_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_0_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_0 - EBI CS Config 0 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_0 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_0_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_0_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_0 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_0_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_0_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_0 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_0_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_0_wp_SHIFT                              29

/* EBI :: CS_CONFIG_0 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_0_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_0_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_0 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_0_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_0_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_0 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_0_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_0_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_0 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_0_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_0_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_0 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_0_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_0_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_0 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_0_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_0_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_0 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_0_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_0_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_0 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_0_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_0_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_0 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_0_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_0_le_SHIFT                              10

/* EBI :: CS_CONFIG_0 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_0_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_0_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_0 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_0_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_0_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_0 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_0_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_0_sync_SHIFT                            7

/* EBI :: CS_CONFIG_0 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_0_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_0_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_0 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_0_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_0_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_0 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_0_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_0_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_0 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_0_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_0_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_0 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_0_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_0_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_0 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_0_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_0_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_0 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_0_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_0_enable_SHIFT                          0

/***************************************************************************
 *CS_BASE_1 - EBI CS Base 1 Register
 ***************************************************************************/
/* EBI :: CS_BASE_1 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_1_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_1_base_addr_SHIFT                         13

/* EBI :: CS_BASE_1 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_1_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_1_reserved0_SHIFT                         4

/* EBI :: CS_BASE_1 :: size [03:00] */
#define BCHP_EBI_CS_BASE_1_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_1_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_1_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_1_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_1_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_1_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_1_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_1_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_1_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_1_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_1_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_1_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_1_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_1_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_1_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_1_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_1 - EBI CS Config 1 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_1 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_1_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_1_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_1 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_1_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_1_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_1 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_1_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_1_wp_SHIFT                              29

/* EBI :: CS_CONFIG_1 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_1_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_1_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_1 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_1_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_1_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_1 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_1_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_1_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_1 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_1_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_1_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_1 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_1_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_1_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_1 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_1_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_1_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_1 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_1_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_1_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_1 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_1_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_1_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_1 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_1_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_1_le_SHIFT                              10

/* EBI :: CS_CONFIG_1 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_1_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_1_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_1 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_1_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_1_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_1 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_1_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_1_sync_SHIFT                            7

/* EBI :: CS_CONFIG_1 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_1_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_1_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_1 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_1_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_1_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_1 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_1_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_1_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_1 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_1_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_1_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_1 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_1_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_1_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_1 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_1_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_1_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_1 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_1_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_1_enable_SHIFT                          0

/***************************************************************************
 *CS_BASE_2 - EBI CS Base 2 Register
 ***************************************************************************/
/* EBI :: CS_BASE_2 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_2_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_2_base_addr_SHIFT                         13

/* EBI :: CS_BASE_2 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_2_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_2_reserved0_SHIFT                         4

/* EBI :: CS_BASE_2 :: size [03:00] */
#define BCHP_EBI_CS_BASE_2_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_2_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_2_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_2_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_2_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_2_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_2_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_2_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_2_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_2_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_2_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_2_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_2_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_2_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_2_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_2_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_2 - EBI CS Config 2 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_2 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_2_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_2_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_2 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_2_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_2_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_2 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_2_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_2_wp_SHIFT                              29

/* EBI :: CS_CONFIG_2 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_2_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_2_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_2 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_2_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_2_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_2 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_2_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_2_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_2 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_2_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_2_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_2 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_2_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_2_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_2 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_2_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_2_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_2 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_2_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_2_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_2 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_2_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_2_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_2 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_2_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_2_le_SHIFT                              10

/* EBI :: CS_CONFIG_2 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_2_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_2_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_2 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_2_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_2_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_2 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_2_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_2_sync_SHIFT                            7

/* EBI :: CS_CONFIG_2 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_2_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_2_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_2 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_2_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_2_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_2 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_2_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_2_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_2 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_2_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_2_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_2 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_2_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_2_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_2 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_2_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_2_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_2 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_2_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_2_enable_SHIFT                          0

/***************************************************************************
 *CS_BASE_3 - EBI CS Base 3 Register
 ***************************************************************************/
/* EBI :: CS_BASE_3 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_3_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_3_base_addr_SHIFT                         13

/* EBI :: CS_BASE_3 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_3_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_3_reserved0_SHIFT                         4

/* EBI :: CS_BASE_3 :: size [03:00] */
#define BCHP_EBI_CS_BASE_3_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_3_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_3_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_3_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_3_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_3_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_3_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_3_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_3_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_3_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_3_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_3_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_3_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_3_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_3_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_3_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_3 - EBI CS Config 3 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_3 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_3_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_3_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_3 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_3_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_3_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_3 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_3_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_3_wp_SHIFT                              29

/* EBI :: CS_CONFIG_3 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_3_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_3_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_3 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_3_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_3_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_3 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_3_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_3_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_3 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_3_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_3_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_3 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_3_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_3_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_3 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_3_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_3_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_3 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_3_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_3_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_3 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_3_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_3_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_3 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_3_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_3_le_SHIFT                              10

/* EBI :: CS_CONFIG_3 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_3_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_3_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_3 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_3_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_3_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_3 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_3_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_3_sync_SHIFT                            7

/* EBI :: CS_CONFIG_3 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_3_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_3_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_3 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_3_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_3_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_3 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_3_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_3_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_3 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_3_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_3_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_3 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_3_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_3_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_3 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_3_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_3_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_3 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_3_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_3_enable_SHIFT                          0

/***************************************************************************
 *CS_BASE_4 - EBI CS Base 4 Register
 ***************************************************************************/
/* EBI :: CS_BASE_4 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_4_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_4_base_addr_SHIFT                         13

/* EBI :: CS_BASE_4 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_4_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_4_reserved0_SHIFT                         4

/* EBI :: CS_BASE_4 :: size [03:00] */
#define BCHP_EBI_CS_BASE_4_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_4_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_4_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_4_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_4_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_4_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_4_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_4_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_4_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_4_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_4_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_4_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_4_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_4_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_4_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_4_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_4 - EBI CS Config 4 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_4 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_4_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_4_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_4 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_4_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_4_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_4 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_4_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_4_wp_SHIFT                              29

/* EBI :: CS_CONFIG_4 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_4_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_4_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_4 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_4_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_4_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_4 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_4_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_4_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_4 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_4_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_4_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_4 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_4_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_4_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_4 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_4_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_4_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_4 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_4_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_4_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_4 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_4_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_4_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_4 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_4_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_4_le_SHIFT                              10

/* EBI :: CS_CONFIG_4 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_4_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_4_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_4 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_4_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_4_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_4 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_4_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_4_sync_SHIFT                            7

/* EBI :: CS_CONFIG_4 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_4_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_4_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_4 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_4_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_4_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_4 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_4_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_4_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_4 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_4_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_4_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_4 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_4_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_4_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_4 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_4_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_4_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_4 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_4_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_4_enable_SHIFT                          0

/***************************************************************************
 *CS_BASE_5 - EBI CS Base 5 Register
 ***************************************************************************/
/* EBI :: CS_BASE_5 :: base_addr [31:13] */
#define BCHP_EBI_CS_BASE_5_base_addr_MASK                          0xffffe000
#define BCHP_EBI_CS_BASE_5_base_addr_SHIFT                         13

/* EBI :: CS_BASE_5 :: reserved0 [12:04] */
#define BCHP_EBI_CS_BASE_5_reserved0_MASK                          0x00001ff0
#define BCHP_EBI_CS_BASE_5_reserved0_SHIFT                         4

/* EBI :: CS_BASE_5 :: size [03:00] */
#define BCHP_EBI_CS_BASE_5_size_MASK                               0x0000000f
#define BCHP_EBI_CS_BASE_5_size_SHIFT                              0
#define BCHP_EBI_CS_BASE_5_size_SIZE_8KB                           0
#define BCHP_EBI_CS_BASE_5_size_SIZE_16KB                          1
#define BCHP_EBI_CS_BASE_5_size_SIZE_32KB                          2
#define BCHP_EBI_CS_BASE_5_size_SIZE_64KB                          3
#define BCHP_EBI_CS_BASE_5_size_SIZE_128KB                         4
#define BCHP_EBI_CS_BASE_5_size_SIZE_256KB                         5
#define BCHP_EBI_CS_BASE_5_size_SIZE_512KB                         6
#define BCHP_EBI_CS_BASE_5_size_SIZE_1MB                           7
#define BCHP_EBI_CS_BASE_5_size_SIZE_2MB                           8
#define BCHP_EBI_CS_BASE_5_size_SIZE_4MB                           9
#define BCHP_EBI_CS_BASE_5_size_SIZE_8MB                           10
#define BCHP_EBI_CS_BASE_5_size_SIZE_16MB                          11
#define BCHP_EBI_CS_BASE_5_size_SIZE_32MB                          12
#define BCHP_EBI_CS_BASE_5_size_SIZE_64MB                          13

/***************************************************************************
 *CS_CONFIG_5 - EBI CS Config 5 Register
 ***************************************************************************/
/* EBI :: CS_CONFIG_5 :: mem_io [31:31] */
#define BCHP_EBI_CS_CONFIG_5_mem_io_MASK                           0x80000000
#define BCHP_EBI_CS_CONFIG_5_mem_io_SHIFT                          31

/* EBI :: CS_CONFIG_5 :: ta_wait [30:30] */
#define BCHP_EBI_CS_CONFIG_5_ta_wait_MASK                          0x40000000
#define BCHP_EBI_CS_CONFIG_5_ta_wait_SHIFT                         30

/* EBI :: CS_CONFIG_5 :: wp [29:29] */
#define BCHP_EBI_CS_CONFIG_5_wp_MASK                               0x20000000
#define BCHP_EBI_CS_CONFIG_5_wp_SHIFT                              29

/* EBI :: CS_CONFIG_5 :: wait_count [28:24] */
#define BCHP_EBI_CS_CONFIG_5_wait_count_MASK                       0x1f000000
#define BCHP_EBI_CS_CONFIG_5_wait_count_SHIFT                      24

/* EBI :: CS_CONFIG_5 :: t_hold [23:20] */
#define BCHP_EBI_CS_CONFIG_5_t_hold_MASK                           0x00f00000
#define BCHP_EBI_CS_CONFIG_5_t_hold_SHIFT                          20

/* EBI :: CS_CONFIG_5 :: t_setup [19:16] */
#define BCHP_EBI_CS_CONFIG_5_t_setup_MASK                          0x000f0000
#define BCHP_EBI_CS_CONFIG_5_t_setup_SHIFT                         16

/* EBI :: CS_CONFIG_5 :: cs_hold [15:15] */
#define BCHP_EBI_CS_CONFIG_5_cs_hold_MASK                          0x00008000
#define BCHP_EBI_CS_CONFIG_5_cs_hold_SHIFT                         15

/* EBI :: CS_CONFIG_5 :: split_cs [14:14] */
#define BCHP_EBI_CS_CONFIG_5_split_cs_MASK                         0x00004000
#define BCHP_EBI_CS_CONFIG_5_split_cs_SHIFT                        14

/* EBI :: CS_CONFIG_5 :: mask_en [13:13] */
#define BCHP_EBI_CS_CONFIG_5_mask_en_MASK                          0x00002000
#define BCHP_EBI_CS_CONFIG_5_mask_en_SHIFT                         13

/* EBI :: CS_CONFIG_5 :: ne_sample [12:12] */
#define BCHP_EBI_CS_CONFIG_5_ne_sample_MASK                        0x00001000
#define BCHP_EBI_CS_CONFIG_5_ne_sample_SHIFT                       12

/* EBI :: CS_CONFIG_5 :: m68k [11:11] */
#define BCHP_EBI_CS_CONFIG_5_m68k_MASK                             0x00000800
#define BCHP_EBI_CS_CONFIG_5_m68k_SHIFT                            11

/* EBI :: CS_CONFIG_5 :: le [10:10] */
#define BCHP_EBI_CS_CONFIG_5_le_MASK                               0x00000400
#define BCHP_EBI_CS_CONFIG_5_le_SHIFT                              10

/* EBI :: CS_CONFIG_5 :: reserved0 [09:09] */
#define BCHP_EBI_CS_CONFIG_5_reserved0_MASK                        0x00000200
#define BCHP_EBI_CS_CONFIG_5_reserved0_SHIFT                       9

/* EBI :: CS_CONFIG_5 :: size_sel [08:08] */
#define BCHP_EBI_CS_CONFIG_5_size_sel_MASK                         0x00000100
#define BCHP_EBI_CS_CONFIG_5_size_sel_SHIFT                        8

/* EBI :: CS_CONFIG_5 :: sync [07:07] */
#define BCHP_EBI_CS_CONFIG_5_sync_MASK                             0x00000080
#define BCHP_EBI_CS_CONFIG_5_sync_SHIFT                            7

/* EBI :: CS_CONFIG_5 :: polarity [06:06] */
#define BCHP_EBI_CS_CONFIG_5_polarity_MASK                         0x00000040
#define BCHP_EBI_CS_CONFIG_5_polarity_SHIFT                        6

/* EBI :: CS_CONFIG_5 :: we_ctl [05:05] */
#define BCHP_EBI_CS_CONFIG_5_we_ctl_MASK                           0x00000020
#define BCHP_EBI_CS_CONFIG_5_we_ctl_SHIFT                          5

/* EBI :: CS_CONFIG_5 :: dest_size [04:04] */
#define BCHP_EBI_CS_CONFIG_5_dest_size_MASK                        0x00000010
#define BCHP_EBI_CS_CONFIG_5_dest_size_SHIFT                       4

/* EBI :: CS_CONFIG_5 :: ms_inh [03:03] */
#define BCHP_EBI_CS_CONFIG_5_ms_inh_MASK                           0x00000008
#define BCHP_EBI_CS_CONFIG_5_ms_inh_SHIFT                          3

/* EBI :: CS_CONFIG_5 :: ls_inh [02:02] */
#define BCHP_EBI_CS_CONFIG_5_ls_inh_MASK                           0x00000004
#define BCHP_EBI_CS_CONFIG_5_ls_inh_SHIFT                          2

/* EBI :: CS_CONFIG_5 :: brsten [01:01] */
#define BCHP_EBI_CS_CONFIG_5_brsten_MASK                           0x00000002
#define BCHP_EBI_CS_CONFIG_5_brsten_SHIFT                          1

/* EBI :: CS_CONFIG_5 :: enable [00:00] */
#define BCHP_EBI_CS_CONFIG_5_enable_MASK                           0x00000001
#define BCHP_EBI_CS_CONFIG_5_enable_SHIFT                          0

/***************************************************************************
 *ECR - EBI Configuration Register
 ***************************************************************************/
/* EBI :: ECR :: reserved0 [31:31] */
#define BCHP_EBI_ECR_reserved0_MASK                                0x80000000
#define BCHP_EBI_ECR_reserved0_SHIFT                               31

/* EBI :: ECR :: sample_clk [30:30] */
#define BCHP_EBI_ECR_sample_clk_MASK                               0x40000000
#define BCHP_EBI_ECR_sample_clk_SHIFT                              30

/* EBI :: ECR :: reserved1 [29:18] */
#define BCHP_EBI_ECR_reserved1_MASK                                0x3ffc0000
#define BCHP_EBI_ECR_reserved1_SHIFT                               18

/* EBI :: ECR :: rom_bypass [17:17] */
#define BCHP_EBI_ECR_rom_bypass_MASK                               0x00020000
#define BCHP_EBI_ECR_rom_bypass_SHIFT                              17

/* EBI :: ECR :: rom_locked [16:16] */
#define BCHP_EBI_ECR_rom_locked_MASK                               0x00010000
#define BCHP_EBI_ECR_rom_locked_SHIFT                              16

/* EBI :: ECR :: reserved2 [15:11] */
#define BCHP_EBI_ECR_reserved2_MASK                                0x0000f800
#define BCHP_EBI_ECR_reserved2_SHIFT                               11

/* EBI :: ECR :: timeout_count [10:00] */
#define BCHP_EBI_ECR_timeout_count_MASK                            0x000007ff
#define BCHP_EBI_ECR_timeout_count_SHIFT                           0

/***************************************************************************
 *BURST_CMD - EBI Synchronous Intel StrataFlash Burst Command Register
 ***************************************************************************/
/* EBI :: BURST_CMD :: data_bus [31:16] */
#define BCHP_EBI_BURST_CMD_data_bus_MASK                           0xffff0000
#define BCHP_EBI_BURST_CMD_data_bus_SHIFT                          16

/* EBI :: BURST_CMD :: addr_bus [15:00] */
#define BCHP_EBI_BURST_CMD_addr_bus_MASK                           0x0000ffff
#define BCHP_EBI_BURST_CMD_addr_bus_SHIFT                          0

/***************************************************************************
 *BURST_CFG - EBI Synchronous Intel StrataFlash Burst Configure Register
 ***************************************************************************/
/* EBI :: BURST_CFG :: reserved0 [31:08] */
#define BCHP_EBI_BURST_CFG_reserved0_MASK                          0xffffff00
#define BCHP_EBI_BURST_CFG_reserved0_SHIFT                         8

/* EBI :: BURST_CFG :: burst_latency [07:04] */
#define BCHP_EBI_BURST_CFG_burst_latency_MASK                      0x000000f0
#define BCHP_EBI_BURST_CFG_burst_latency_SHIFT                     4

/* EBI :: BURST_CFG :: reserved1 [03:02] */
#define BCHP_EBI_BURST_CFG_reserved1_MASK                          0x0000000c
#define BCHP_EBI_BURST_CFG_reserved1_SHIFT                         2

/* EBI :: BURST_CFG :: data_hold [01:01] */
#define BCHP_EBI_BURST_CFG_data_hold_MASK                          0x00000002
#define BCHP_EBI_BURST_CFG_data_hold_SHIFT                         1

/* EBI :: BURST_CFG :: burst_16 [00:00] */
#define BCHP_EBI_BURST_CFG_burst_16_MASK                           0x00000001
#define BCHP_EBI_BURST_CFG_burst_16_SHIFT                          0

/***************************************************************************
 *RX_POINTER_SRC - EBI RX DMA EBI Source Address  Register
 ***************************************************************************/
/* EBI :: RX_POINTER_SRC :: rx_src_addr [31:00] */
#define BCHP_EBI_RX_POINTER_SRC_rx_src_addr_MASK                   0xffffffff
#define BCHP_EBI_RX_POINTER_SRC_rx_src_addr_SHIFT                  0

/***************************************************************************
 *RX_POINTER_DST - EBI RX DMA DRAM Destination Address  Register
 ***************************************************************************/
/* EBI :: RX_POINTER_DST :: rx_dst_addr [31:00] */
#define BCHP_EBI_RX_POINTER_DST_rx_dst_addr_MASK                   0xffffffff
#define BCHP_EBI_RX_POINTER_DST_rx_dst_addr_SHIFT                  0

/***************************************************************************
 *RX_SIZE - EBI RX DMA Transfer Size Register
 ***************************************************************************/
/* EBI :: RX_SIZE :: reserved0 [31:12] */
#define BCHP_EBI_RX_SIZE_reserved0_MASK                            0xfffff000
#define BCHP_EBI_RX_SIZE_reserved0_SHIFT                           12

/* EBI :: RX_SIZE :: rx_size [11:00] */
#define BCHP_EBI_RX_SIZE_rx_size_MASK                              0x00000fff
#define BCHP_EBI_RX_SIZE_rx_size_SHIFT                             0

/***************************************************************************
 *RX_CFG - EBI RX DMA Configuration Register
 ***************************************************************************/
/* EBI :: RX_CFG :: reserved0 [31:04] */
#define BCHP_EBI_RX_CFG_reserved0_MASK                             0xfffffff0
#define BCHP_EBI_RX_CFG_reserved0_SHIFT                            4

/* EBI :: RX_CFG :: rx_swap [03:03] */
#define BCHP_EBI_RX_CFG_rx_swap_MASK                               0x00000008
#define BCHP_EBI_RX_CFG_rx_swap_SHIFT                              3

/* EBI :: RX_CFG :: rx_clr [02:02] */
#define BCHP_EBI_RX_CFG_rx_clr_MASK                                0x00000004
#define BCHP_EBI_RX_CFG_rx_clr_SHIFT                               2

/* EBI :: RX_CFG :: rx_irq_enable [01:01] */
#define BCHP_EBI_RX_CFG_rx_irq_enable_MASK                         0x00000002
#define BCHP_EBI_RX_CFG_rx_irq_enable_SHIFT                        1

/* EBI :: RX_CFG :: rx_enable [00:00] */
#define BCHP_EBI_RX_CFG_rx_enable_MASK                             0x00000001
#define BCHP_EBI_RX_CFG_rx_enable_SHIFT                            0

/***************************************************************************
 *TX_POINTER_SRC - EBI TX DMA DRAM Source Address  Register
 ***************************************************************************/
/* EBI :: TX_POINTER_SRC :: tx_src_addr [31:00] */
#define BCHP_EBI_TX_POINTER_SRC_tx_src_addr_MASK                   0xffffffff
#define BCHP_EBI_TX_POINTER_SRC_tx_src_addr_SHIFT                  0

/***************************************************************************
 *TX_POINTER_DST - EBI TX DMA EBI Destination Address  Register
 ***************************************************************************/
/* EBI :: TX_POINTER_DST :: tx_dst_addr [31:00] */
#define BCHP_EBI_TX_POINTER_DST_tx_dst_addr_MASK                   0xffffffff
#define BCHP_EBI_TX_POINTER_DST_tx_dst_addr_SHIFT                  0

/***************************************************************************
 *TX_SIZE - EBI TX DMA Transfer Size Register
 ***************************************************************************/
/* EBI :: TX_SIZE :: reserved0 [31:12] */
#define BCHP_EBI_TX_SIZE_reserved0_MASK                            0xfffff000
#define BCHP_EBI_TX_SIZE_reserved0_SHIFT                           12

/* EBI :: TX_SIZE :: tx_size [11:00] */
#define BCHP_EBI_TX_SIZE_tx_size_MASK                              0x00000fff
#define BCHP_EBI_TX_SIZE_tx_size_SHIFT                             0

/***************************************************************************
 *TX_CFG - EBI TX DMA Configuration Register
 ***************************************************************************/
/* EBI :: TX_CFG :: reserved0 [31:04] */
#define BCHP_EBI_TX_CFG_reserved0_MASK                             0xfffffff0
#define BCHP_EBI_TX_CFG_reserved0_SHIFT                            4

/* EBI :: TX_CFG :: tx_swap [03:03] */
#define BCHP_EBI_TX_CFG_tx_swap_MASK                               0x00000008
#define BCHP_EBI_TX_CFG_tx_swap_SHIFT                              3

/* EBI :: TX_CFG :: tx_clr [02:02] */
#define BCHP_EBI_TX_CFG_tx_clr_MASK                                0x00000004
#define BCHP_EBI_TX_CFG_tx_clr_SHIFT                               2

/* EBI :: TX_CFG :: tx_irq_enable [01:01] */
#define BCHP_EBI_TX_CFG_tx_irq_enable_MASK                         0x00000002
#define BCHP_EBI_TX_CFG_tx_irq_enable_SHIFT                        1

/* EBI :: TX_CFG :: tx_enable [00:00] */
#define BCHP_EBI_TX_CFG_tx_enable_MASK                             0x00000001
#define BCHP_EBI_TX_CFG_tx_enable_SHIFT                            0

/***************************************************************************
 *DMA_STATUS - EBI DMA Status Register
 ***************************************************************************/
/* EBI :: DMA_STATUS :: reserved0 [31:02] */
#define BCHP_EBI_DMA_STATUS_reserved0_MASK                         0xfffffffc
#define BCHP_EBI_DMA_STATUS_reserved0_SHIFT                        2

/* EBI :: DMA_STATUS :: tx_complete [01:01] */
#define BCHP_EBI_DMA_STATUS_tx_complete_MASK                       0x00000002
#define BCHP_EBI_DMA_STATUS_tx_complete_SHIFT                      1

/* EBI :: DMA_STATUS :: rx_complete [00:00] */
#define BCHP_EBI_DMA_STATUS_rx_complete_MASK                       0x00000001
#define BCHP_EBI_DMA_STATUS_rx_complete_SHIFT                      0

/***************************************************************************
 *DMA_CTRL - EBI DMA Control Register
 ***************************************************************************/
/* EBI :: DMA_CTRL :: reserved0 [31:01] */
#define BCHP_EBI_DMA_CTRL_reserved0_MASK                           0xfffffffe
#define BCHP_EBI_DMA_CTRL_reserved0_SHIFT                          1

/* EBI :: DMA_CTRL :: dma_fifo [00:00] */
#define BCHP_EBI_DMA_CTRL_dma_fifo_MASK                            0x00000001
#define BCHP_EBI_DMA_CTRL_dma_fifo_SHIFT                           0

#endif /* #ifndef BCHP_EBI_H__ */

/* End of File */
